# Hikageable

@ JvmName (name = "HikageableTyped")
inline fun < LP : ViewGroup.LayoutParams > Hikageable (context: Context , parent: ViewGroup ? = null, attachToParent: Boolean = parent != null, factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < LP >): <Error class: unknown class>

Start performing a Hikage layout LP.

#### Return

Hikage

#### Parameters

context

the context to create the layout.

parent

the parent view group.

attachToParent

whether to attach the layout to the parent when the parent is filled.

factory

the HikageFactory builder.

performer

the performer body.

inline fun Hikageable (context: Context , parent: ViewGroup ? = null, attachToParent: Boolean = parent != null, factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < ViewGroup.LayoutParams >): <Error class: unknown class>

Start performing a Hikage layout.

#### Return

Hikage

#### Parameters

context

the context to create the layout.

parent

the parent view group.

attachToParent

whether to attach the layout to the parent when the parent is filled.

factory

the HikageFactory builder.

performer

the performer body.

@ JvmName (name = "HikageableTyped")
inline fun < LP : ViewGroup.LayoutParams > Hikageable (noinline factory: HikageFactoryBuilder .() -> Unit = {}, noinline performer: HikagePerformer < LP >): Hikage.Delegate < LP >

Start performing a Hikage layout LP.

#### Return

Hikage.Delegate<LP>

#### Parameters

factory

the HikageFactory builder.

performer

the performer body.

fun Hikageable (factory: HikageFactoryBuilder .() -> Unit = {}, performer: HikagePerformer < ViewGroup.LayoutParams >): Hikage.Delegate < ViewGroup.LayoutParams >

Start performing a Hikage layout.

#### Return

Hikage.Delegate<ViewGroup.LayoutParams>

#### Parameters

factory

the HikageFactory builder.

performer

the performer body.